## ros-melodic-schunk-modular-robotics 0.6.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(schunk_modular_robotics)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-schunk-modular-robotics (0.6.14-1bionic) bionic; urgency=high

  * Merge pull request #215 <https://github.com/ipa320/schunk_modular_robotics/issues/215> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge branch 'indigo_dev' into indigo_release_candidate
  * Merge branch 'indigo_dev' of github.com:ipa320/schunk_modular_robotics into indigo_release_candidate
  * Merge pull request #199 <https://github.com/ipa320/schunk_modular_robotics/issues/199> from ipa320/indigo_dev
    Indigo dev
  * Contributors: Christian Rauch, Felix Messmer, fmessmer

 -- Bruno Brito <bfb@ipa.fhg.de>  Wed, 20 Nov 2019 00:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.13-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Mon, 19 Aug 2019 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.12-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Wed, 15 Aug 2018 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.11-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Fri, 20 Jul 2018 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.10-1bionic) bionic; urgency=high

  * Merge pull request #198 <https://github.com/ipa320/schunk_modular_robotics/issues/198> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #196 <https://github.com/ipa320/schunk_modular_robotics/issues/196> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #191 <https://github.com/ipa320/schunk_modular_robotics/issues/191> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, Florian Weisshardt, ipa-fxm

 -- Bruno Brito <bfb@ipa.fhg.de>  Sun, 07 Jan 2018 00:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.9-1bionic) bionic; urgency=high

  * remove package schunk_sdhx
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Bruno Brito <bfb@ipa.fhg.de>  Sun, 16 Jul 2017 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.8-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Sun, 09 Oct 2016 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.7-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Thu, 31 Mar 2016 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.6-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Mon, 31 Aug 2015 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.5-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Sun, 30 Aug 2015 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.4-1bionic) bionic; urgency=high

  * migration to package format 2
  * remove trailing whitespaces
  * review dependencies
  * Contributors: ipa-fxm

 -- Bruno Brito <bfb@ipa.fhg.de>  Mon, 24 Aug 2015 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.3-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Tue, 16 Jun 2015 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.2-1bionic) bionic; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * sdhx tested
  * Contributors: Florian Weisshardt, ipa-nhg

 -- Bruno Brito <bfb@ipa.fhg.de>  Mon, 15 Dec 2014 00:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.1-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Sun, 21 Sep 2014 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.6.0-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Wed, 17 Sep 2014 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.5.6-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Tue, 26 Aug 2014 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.5.5-1bionic) bionic; urgency=high

  * Merge pull request #81 <https://github.com/ipa320/schunk_modular_robotics/issues/81> from ipa320/hydro_release_candidate
    bring back changes from Hydro release candidate
  * New maintainer
  * Contributors: Nadia Hammoudeh García, ipa-nhg

 -- Bruno Brito <bfb@ipa.fhg.de>  Mon, 25 Aug 2014 23:00:00 -0000

ros-melodic-schunk-modular-robotics (0.5.4-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Fri, 28 Mar 2014 00:00:00 -0000

ros-melodic-schunk-modular-robotics (0.5.3-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Thu, 27 Mar 2014 00:00:00 -0000

ros-melodic-schunk-modular-robotics (0.5.2-1bionic) bionic; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Thu, 27 Mar 2014 00:00:00 -0000

ros-melodic-schunk-modular-robotics (0.5.1-1bionic) bionic; urgency=high

  * Initial catkinization. Still a linking error in sdh lib.
  * Contributors: abubeck

 -- Bruno Brito <bfb@ipa.fhg.de>  Thu, 20 Mar 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-schunk-modular-robotics
Section: misc
Priority: optional
Maintainer: Bruno Brito <bfb@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/schunk_modular_robotics
Standards-Version: 3.9.2

Package: ros-melodic-schunk-modular-robotics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-schunk-description, ros-melodic-schunk-libm5api, ros-melodic-schunk-powercube-chain, ros-melodic-schunk-sdh, ros-melodic-schunk-simulated-tactile-sensors
Description: This stack includes packages that provide access to the Schunk hardware through ROS messages, services and actions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-schunk-modular-robotics//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
